ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kevin A. Burton" <bur...@relativity.yi.org>
Subject Re: Ant & Javadoc, jdk specific?
Date Tue, 18 Jan 2000 23:38:26 GMT
rubys@us.ibm.com wrote:
> 
> Kevin A. Burton wrote:
> > So you would just have to compile and under JDK 1.2.  It would work fine
> > on JDK 1.1 if you just wrote conditional code that didn't use a VM
> > specific Security Manager.
> 
> Trust me, I wish it were this easy.  The signatures changed.  It is not
> sufficient that you call the new interfaces (this could be done through
> introspection), but you actually need to *implement* interfaces in JDK 1.2
> which won't compile in JDK 1.1.
> 
> - Sam Ruby

Yeah.  I know.  I wrote a Compiler plugin for jEdit (Open Source Java
editor) and it requires you to compile it under JDK 1.2 but it still
works fine under JDK 1.1.

Kevin

-- 
Kevin A Burton
Senior Software Engineer
Kendara Inc
http://www.kendara.com
Mobile:  408-910-6145
Linux - The revolution will NOT be televised

Mime
View raw message